Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.spi
Interface ECPControlFactory

All Known Implementing Classes:
  ControlFactoryImpl

Deprecated.

    @Deprecated
    public interface ECPControlFactory

The ControlFactory provides a method (`createControl(Class,EObject, VDomainModelReference)`) for creating a suitable control with the known widgets.

Author:
  Eugen Neufeld

Method Summary
`
`<T> T`
` | `createControl(Class<T> controlTypeClass, org.eclipse.emf.ecore.EObject domainModel, VDomainModelReference domainModelReference)` Deprecated. Creates an `ECPAbstractControl` based on a `Class` and the `VDomainModelReference`.
`
`<T> T`
` | `createControl(String controlId)` Deprecated. Creates an `ECPAbstractControl` based on an id.
`Set<ECPControlDescription>` | `getControlDescriptors()` Deprecated. A copy of all known `ECPControlDescription`.

Method Detail

### createControl

    <T> T createControl(Class<T> controlTypeClass,
                        org.eclipse.emf.ecore.EObject domainModel,
                        VDomainModelReference domainModelReference)

  Deprecated.
  Creates an `ECPAbstractControl` based on a `Class` and the `VDomainModelReference`.

  Type Parameters:
    `T` - the type of the control to return
  Parameters:
    `controlTypeClass` - the type of the control to return
    `domainModel` - The domain model object which is the root of the domain model reference
    `domainModelReference` - the `VDomainModelReference` to use to identify the control
  Returns:
    the found control or null
  Since:
    1.6

### createControl

    <T> T createControl(String controlId)

  Deprecated.
  Creates an `ECPAbstractControl` based on an id.

  Type Parameters:
    `T` - the type of the control to return
  Parameters:
    `controlId` - the if of the control to return
  Returns:
    the found control or null
  Since:
    1.1

### getControlDescriptors

    Set<ECPControlDescription> getControlDescriptors()

  Deprecated.
  A copy of all known `ECPControlDescription`.

  Returns:
    a copy of the set of all known controlDescriptions

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.